<?php defined('SYSPATH') or die('No direct script access.');
class Account_Controller extends Protected_Controller {
	function __construct() {
		parent::__construct();
		if(isset($_POST['type'])) {
			switch($_POST['type']) {
				case 'general':
					$this->procGeneral();
					break;
				case 'password':
					$this->procPassword();
					break;
				case 'notification':
					$this->procNotification();
					break;
				default:
					$this->index();
					break;
			}
		}
	}

	function index() {
		$user = ORM::factory('user')->where('username',Auth::instance()->get_user()->username)->find();

		$this->template->title = Kohana::lang('base.dashname')." | ".Kohana::lang('base.account');
		$view = $this->template->content = new View('user/account');
		$view->bind('user',$user);

	}

	function procGeneral() {
		$user = ORM::factory('user')->where('username',Auth::instance()->get_user()->username)->find();

		$post = new Validation($_POST);
		$post->add_rules('username','required','valid::alpha_dash','length[3,30]');
		$post->add_rules('email','required','valid::email_rfc');
		if($user->username != $post->username) {
			Auth_Controller::username_exists($post,'username');
		}

		if($post->validate()) {
			// no validation errors found, add user to db and log in
			$user = ORM::factory('user')->where('username',Auth::instance()->get_user()->username)->find();
			$user->username = $post['username'];
			$user->email = $post['email'];
			$user->save();

			$this->session->set_flash(array('alert'=>Kohana::lang('base.settings_success'),'type'=>'good'));
		} else {
			$this->session->set_flash(array('alert'=>'Sorry, there was a problem with the settings you entered.','type'=>'bad'));
		}

		url::redirect('account');

	}

	function procPassword() {
		$user = ORM::factory('user')->where('username',Auth::instance()->get_user()->username)->find();

		$post = new Validation($_POST);
		$post->add_rules('new_password','required','length[3,30]','matches[conf_new_password]');
		$post->add_rules('password','required');
		if(!func::is_password_correct($user,$post['password'])) {
			$post->add_error('password','pwd_fail');
		}
		
		if($post->validate()) {
			// no validation errors found, add user to db and log in
			$user = ORM::factory('user')->where('username',Auth::instance()->get_user()->username)->find();
			$user->password = $post['new_password'];
			$user->save();

			$this->session->set_flash(array('alert'=>'Settings updated successfully.','type'=>'good'));
		} else {
			foreach($post->errors('form_errors') as $key => $value) {
				$this->session->set_flash(array('alert'=>$value,'type'=>'bad'));
			}
		}

		url::redirect('account');

	}

	function procNotification() {
		$user = ORM::factory('user')->where('username',Auth::instance()->get_user()->username)->find();


		$this->session->set_flash(array('alert'=>'Sorry, Orangemesh currently does not support notifications. Check back soon!','type'=>'info'));


		url::redirect('account');

	}


}

