<?php defined('SYSPATH') or die('No direct script access.');
class Node_Controller extends Dashboard_Controller {

	public function checkin(){
		if($get = $this->input->get()){
			if(isset($get['mac']) && $get['mac']!=null) {
				$node = ORM::factory('node',array('mac'=>$get['mac']));
				foreach($get as $key => $value) {
					$node->$key = $value;
				}
				
				// Use PHP to get the time; we only want to change this when we actually checkin.
				$node->time = time();
				
				// Store the checkin time to the uptime_history array.
				$checkins = unserialize($node->uptime_history);
				array_push($checkins,array(time(),$node->users,$node->kbdown,$node->kbup));
				$node->uptime_history = serialize($checkins);

				// Execute the checkin hook -- before saving node into DB.
				// TODO: Is this the way we want it to work?
				Event::run('node.checkin');
				if($node->save()){
					$this->template = new View('node/response');
					$this->template->node = $node;
				}

			} else {
				$this->invalid();
			}
		} else {
			$this->invalid();
		}
	}

	/**
	 * Adds a node to network; currently, this function is also implemented in /controllers/network. Where should this go?
	 * @param $mac
	 * @param $network
	 * @param $users
	 * @param $lat
	 * @param $long
	 * @param $name
	 * @param $description
	 * @return unknown_type
	 */
	public function add($mac,$network, $users,$lat,$long,$name="",$description="") {
		// User must be logged in to do this.
		$this->session = Session::instance();
		$authentic=new Auth;
		if (!$authentic->logged_in("login")){
			$this->session->set("requested_url","/".url::current()); // this will redirect from the login page back to this page
			url::redirect('auth/login');
		}

		// Logged in user must be member of the network to add nodes.
		$this_user = Auth::instance()->get_user()->username;
		$network = ORM::factory('network')->where('name',$network)->find();

		if($network->has(ORM::factory('user')->where('username',$this_user)->find())){
			$node = ORM::factory('node');
			$node->mac=$mac;
			isset($name)&&$name!="" ? $node->name=$name : $node->name=$network.$mac;
			$node->latitude = $lat;
			$node->longitude = $long;
			$node->description = $description;
			$node->network_id = $network->id;
			$node->uptime_history = serialize(array());
			$node->save();
			if(is_array($users)){
				foreach($users as $name) {
					$user = ORM::factory('user')->where('username',$name)->find();
					$node->add($user);
					$user->add($node);
					$user->save();
				}
			} else {
				$user = ORM::factory('user')->where('username',$users)->find();
				$node->add($user);
				$user->add($node);
				$user->save();
			}



		} else {
			// No network to add to, fail
		}

	}

	public function response() {
		$this->template = new View('node/response');
	}

	public function invalid() {
		$this->template->title = Kohana::lang('base.dashname')." | "."Checkin";
		$this->template->content = new View('node/invalid');
	}


}