<?php defined('SYSPATH') or die('No direct script access.');
class Network_Model extends ORM {
	protected $has_and_belongs_to_many = array('users');
	protected $has_many = array('nodes');
	//protected $has_one = array('settings');

	public function is_logged_in_user_allowed() {
		$this_user = Auth::instance()->get_user()->username;
		return $this->has(ORM::factory('user')->where('username',$this_user)->find());
	}
	
	public function is_user_member($username) {
		return $this->has(ORM::factory('user')->where('username',$username)->find());
	}
	
	public function show_display_name($print = false) {
		if(isset($this->display_name)) {
			$name = $this->display_name;
		} else {
			$name = $this->name;
		}

		if($print) {
			echo $name;
		}
		return $name;
	}

	public function get_trouble_nodes() {
		$res = array();
		foreach($this->nodes as $node) {
			if(!$node->is_fine()){
				array_push($res,$node);
			}
		}
		return $res;
	}



	public function get_fields() {
		$fields = $this->object;
		unset($fields['id']);
		return $fields;
	}

	public function get_general_fields() {
		$basic_fields = array(
			'name' 				=> 'text',
			'display_name' 		=> 'text',
			'location'			=> 'text',		
		);
		return $basic_fields;
	}

	public function get_ap1_fields() {
		$ap1_fields = array(
			'ap1_essid'			=> 'text',
			'ap1_key'			=> 'text',
			'ap1_isolate'		=> 'checkbox',
			'use_node'			=> 'checkbox',
			'cp_handler'		=> 'radio',
		);
		return $ap1_fields;
	}

	public function get_ap2_fields() {
		$ap2_fields = array(
			'ap2_essid'			=> 'text',
			'ap2_key'			=> 'text',
			'ap2_enable'		=> 'checkbox',
			'ap2_hide'			=> 'checkbox',
			'ap2_isolate'		=> 'checkbox'
		);
		return $ap1_fields;
	}

	public function get_advanced_fields() {

	}
}