<?php defined('SYSPATH') or die('No direct script access.');
class Node_Model extends ORM {
	protected $has_and_belongs_to_many = array('users');
	protected $belongs_to = array('network');

	public function is_fine() {
		$is_fine = true;
		$is_fine &= (time() - $this->time) > 600;
		return $is_fine;
	}
	/**
	 * Validates and optionally saves a new user record from an array.
	 *
	 * @param  array    values to check
	 * @param  boolean  save the record when validation succeeds
	 * @return boolean
	 */
	public function validate(array & $array, $save = FALSE)
	{
		$array = Validation::factory($array)
		->pre_filter('trim')
		->add_rules('mac', 'required', 'length[17]', 'chars[0-9:A-Fa-f]');

		return parent::validate($array, $save);
	}

	public function get_checkin_history($range = 1440,$interval = 5) {
		$now = time();
		$lower = $now - $range * 60;
		$upper = $lower + $interval;
		$uptime = unserialize($this->uptime_history);
		$checkin_history = array();
		$i = 0;
		while($lower < $now) {
			if(isset($uptime[$i])){
				if($uptime[$i][0]>$lower && $uptime[$i][0]<=$upper) {
					array_push($checkin_history[$uptime[$i][0]],1);
				} else {
					array_push($checkin_history[$uptime[$i][0]],0);
				}
			} else {
				array_push($checkin_history[$upper],-1);
			}
							
			$i++;
			$lower = $upper;
			$upper += $interval * 60;
				
		}

		return $checkin_history;
	}
}