<?php
/*
 * This response script is based on the Meshboard response script.
 * TODO: OpenMesh-ify this script, all the DB field names are wrong.
 */
function mac2mac($mac){
	$mac = explode(":", $mac);
	$mac[5]=dechex(hexdec($mac[5])+1);
	return strtoupper(implode(":", $mac));
}
?>

<?php Event::run('node.pre_response'); ?>

#@#config madwifi priv.rate
<?php $node->network->rate?>

#@#config node general.net
<?php $node->network->name?>

#@#config nodes
<?php foreach($node->network->nodes as $n):?>
<?php if(preg_match('/5\.\d{1,3}\.\d{1,3}\.\d{1,3}/', $n->gateway)):?>
<?php $type = 'R' // Router?>
<?php else:?>
<?php $type = 'G' // Gateway?>
<?php endif?>
<?php $type.' '.$n->ip.' '.preg_replace('/\s+/', '*', $n->name).' '.mac2mac($n->mac)?>

<?php endforeach;?>
#@#config general 
services.ntpd_srv tick.greyware.com 
services.upstream 0 
services.name_srv 
services.cstm_srv www.open-mesh.com/firmware/mr3201a/ 

#@#config management 
enable.base beta 
enable.rootpwd <?php $node->network->node_pwd?>
enable.defessid 0 
enable.custom_update 0 
enable.freeze_version 0
enable.ap2hidden <?php $node->network->ap2_hidden?>
enable.sm <?php $node->network->strict_mesh?>
enable.gmt_offset 2 
enable.https 0 

#@#config mesh
 ap.up <?php $node->network->ap1_enable?>
Myap.up <?php $node->network->ap2_enable?>
ap.psk <?php (integer)$node->network->ap1_key;?>

#@#config ra_switch
main.which_handler 2 

#@#config batman
node.hop_penalty 0 

#@#config radio 
channel.alternate <?php $node->network->channel?>

#@#config wireless
private.ssid <?php $node->network->ap2_essid?>
public.ssid <?php $node->network->ap1_essid?>
private.key <?php $node->network->ap2_key?>
<?php if($node->network->ap1_key!=null):?>
public.key <?php $node->network->ap1_key?>
<?php endif;?>

#@#config iprules 
filter.LAN_BLOCK <?php $node->network->lan_block?>
filter.LAN_BLOCK2 <?php ($node->network->lan_block == '1') ? print '101' : print '0';?>
filter.AP1_bridge <?php $node->network->ap1_isolate?>
filter.SMTP_rdir 0 
filter.SMTP_dest 

#@#config secondary
backend.update 0
backend.server 
backend.ssl 0 

#@#config acl 
mac.mode_ap1 <?php (integer)$node->network->access_control_list?>

<?php if(isset($node->network->access_control_list)):?>
#@#config maclist1
<?php $node->network->access_control_list?>
<?php endif;?>

#@#config cp_switch 
main.which_handler <?php $node->network->splash_enable?>
<?php if($node->network->splash_enable==1):?>
#@#config nodog 
FirewallRuleSet preauthenticated-users { FirewallRule allow } 
FirewallRuleSet authenticated-users { FirewallRule allow }
FirewallRuleSet users-to-router { FirewallRule allow udp port 53
FirewallRule allow tcp port 53 FirewallRule allow udp port 67
FirewallRule allow tcp port 20 FirewallRule allow tcp port 21
FirewallRule allow tcp port 22 FirewallRule allow tcp port 23
FirewallRule allow tcp port 80 FirewallRule allow tcp port 443 }
GatewayName <?php $node->name?>
ClientIdleTimeout <?php $node->network->ap1_splash_idle_timeout?>
ClientForceTimeout <?php $node->network->ap1_splash_force_timeout?>
AuthenticateImmediately 0 
TrafficControl 1 
DownloadLimit <?php $node->network->ap1_download_limit?>
UploadLimit <?php $node->network->ap1_upload_limit?>
MaxClients 75 
#bogus2 2146548130 

#@#config splash-HTML
page http://www.open-mesh.com/users/art-insite.org/splash.txt
image http://www.open-mesh.com/users/art-insite.org/images/open-mesh-small.png
<?php else:?>
#@#config chilli 
agent.service otherchilli 
agent.radiusserver1 <?php $node->network->radius_svr_1?>
agent.radiusserver2 <?php $node->network->radius_svr_2?>
agent.uamserver <?php $node->network->uam_server?>
agent.uamurl <?php $node->network->uam_url?>
agent.uamsecret <?php $node->network->uam_secret?>
agent.radiussecret <?php $node->network->radius_secret?>
agent.radiusnasid <?php $node->network->radius_nasid?>
agent.admusr <?php $node->network->radius_admin_username?>
agent.admpwd <?php $node->network->radius_admin_password?>
agent.uamurlextras 
agent.uamdomain <?php $node->network->uam_domain?>
agent.custom1 
agent.custom2 
agent.custom3
<?php endif;?>

<?php Event::run('node.post_response'); ?>

