-- phpMyAdmin SQL Dump
-- version 3.2.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Oct 30, 2009 at 06:31 PM
-- Server version: 5.0.85
-- PHP Version: 5.2.10

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `openmesh`
--

-- --------------------------------------------------------

--
-- Table structure for table `networks`
--

CREATE TABLE IF NOT EXISTS `networks` (
  `id` int(30) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL,
  `display_name` varchar(200) NOT NULL,
  `location` varchar(100) NOT NULL,
  `ap1_enable` tinyint(1) NOT NULL COMMENT 'Enable AP1 (public)',
  `ap1_essid` varchar(30) NOT NULL,
  `ap1_key` varchar(30) NOT NULL,
  `ap2_enable` varchar(30) NOT NULL,
  `ap2_essid` varchar(30) NOT NULL,
  `ap2_key` varchar(30) NOT NULL,
  `ap2_hidden` tinyint(1) NOT NULL default '0' COMMENT 'Hide broadcast for AP2',
  `node_pwd` varchar(30) NOT NULL default '0p3nm35h' COMMENT 'The root node password',
  `splash_enable` tinyint(1) NOT NULL default '0' COMMENT 'Enable the splash screen',
  `splash_redirect_url` varchar(75) NOT NULL COMMENT 'Redirect to this URL after splash page',
  `splash_idle_timeout` int(11) NOT NULL default '1440' COMMENT 'Redisplay splash page to idle users after this time (minutes)',
  `splash_force_timeout` int(11) NOT NULL default '1440' COMMENT 'Force all users to see splace page after this time (minutes)',
  `throttling_enable` tinyint(1) NOT NULL default '1' COMMENT 'Enable network throttling',
  `download_limit` varchar(10) NOT NULL default '850' COMMENT 'Download max limit (kbits/sec)',
  `upload_limit` varchar(10) NOT NULL default '300' COMMENT 'Upload max limit (kbits/sec)',
  `network_clients` text NOT NULL COMMENT 'TODO: Number of clients in last 24hrs',
  `network_bytes` text NOT NULL COMMENT 'TODO: Total bytes for last 24hrs',
  `access_control_list` mediumtext NOT NULL COMMENT 'TODO: Rows of MACs of allowed network access',
  `lan_block` tinyint(1) NOT NULL default '0' COMMENT 'Block clients on mesh from seeing LAN users',
  `radio_channel` tinyint(2) NOT NULL default '11' COMMENT 'WiFi radio channel (1 - 11)',
  `olsr_enable` tinyint(1) NOT NULL default '1' COMMENT 'Convert to route_protocol: 1=BATMAN, 2=OLSR',
  `dashboard_url` varchar(95) NOT NULL COMMENT 'Checkin to a new dashboard URL (leave blank to stick with this one)',
  `ssl_enable` tinyint(1) NOT NULL default '0' COMMENT 'Dashboard access in SSL, 1 = https, 0 = http',
  `ap1_isolate` tinyint(1) NOT NULL default '0' COMMENT 'Prevent users in mesh from seeing others on ap1 (users isolated = 1)',
  `ap2_isolate` tinyint(1) NOT NULL default '0' COMMENT 'Prevent users in mesh from seeing another on ap2 (users isolated = 1)',
  `test_firmware_enable` tinyint(1) NOT NULL default '0' COMMENT 'Use test firmware',
  `use_node` tinyint(1) NOT NULL default '0' COMMENT 'Use node name for network broadcast (1 = use node, 0 = use ap1 netname)',
  `frz_version` tinyint(1) NOT NULL default '0' COMMENT 'Freeze version. (1 = disable firmware upgrade, 0 enable auto-upgrade)',
  `strict_mesh` tinyint(1) NOT NULL default '1' COMMENT 'Seperate networks of different names. (1 = seperate, 0 = share the gateways)',
  `access_disable_list` mediumtext NOT NULL COMMENT 'List of MAC''s to be disabled from network access (a string)',
  `cp_handler` tinyint(2) NOT NULL default '1' COMMENT 'Captive portal selection (1, 5, 6)',
  `spl_page` varchar(125) NOT NULL COMMENT 'URL to splash first page (without http)',
  `spl_gwname` varchar(60) NOT NULL default 'Open-Mesh Welcome Gateway' COMMENT 'TODO: Text to replace the Gateway Name on splash page',
  `spl_logo` varchar(95) NOT NULL COMMENT 'URL to splash image',
  `radius_svr_1` varchar(95) NOT NULL COMMENT 'URL to radius server 1',
  `radius_svr_2` varchar(95) NOT NULL COMMENT 'URL to radius server 2',
  `radius_secret` varchar(30) NOT NULL COMMENT 'Password for RADIUS account',
  `radius_nasid` varchar(30) NOT NULL COMMENT 'NAS id for RADIUS account',
  `uam_server` varchar(95) NOT NULL COMMENT 'URL to UAM initial display',
  `radius_admin_username` varchar(50) NOT NULL COMMENT 'RADIUS admin user',
  `radius_admin_password` varchar(50) NOT NULL COMMENT 'RADIUS admin password',
  `uam_secret` varchar(30) NOT NULL COMMENT 'TODO: UAM secret password???',
  `uam_url` varchar(95) NOT NULL COMMENT 'URL to UAM account server',
  `uam_domain` varchar(125) NOT NULL COMMENT 'UAM account domain name',
  `rate` varchar(8) NOT NULL default 'AUTO' COMMENT 'Something for Madwifi',
  `channel` int(2) NOT NULL default '5' COMMENT 'Wifi channel to use',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='network definitions and basic settings' AUTO_INCREMENT=7 ;

--
-- Dumping data for table `networks`
--

-- --------------------------------------------------------

--
-- Table structure for table `networks_users`
--

CREATE TABLE IF NOT EXISTS `networks_users` (
  `user_id` int(30) unsigned NOT NULL,
  `network_id` int(30) unsigned NOT NULL,
  KEY `user_id` (`user_id`),
  KEY `network_id` (`network_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='establishes relationships between networks and users';

-- --------------------------------------------------------

--
-- Table structure for table `nodes`
--

CREATE TABLE IF NOT EXISTS `nodes` (
  `id` int(30) unsigned NOT NULL auto_increment,
  `time` int(12) NOT NULL COMMENT 'Time of last checkin',
  `network_id` int(30) unsigned NOT NULL COMMENT 'Network the node belongs to',
  `name` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  `latitude` varchar(20) NOT NULL,
  `longitude` varchar(20) NOT NULL,
  `approval_status` varchar(1) NOT NULL COMMENT 'approval status: A (accepted), R (rejected), P (pending)',
  `ip` varchar(20) NOT NULL COMMENT 'ROBIN',
  `mac` varchar(20) NOT NULL COMMENT 'ROBIN',
  `uptime` varchar(100) NOT NULL COMMENT 'Node uptime',
  `robin` varchar(20) NOT NULL COMMENT 'ROBIN: robin version',
  `batman` varchar(20) NOT NULL COMMENT 'ROBIN: batman version',
  `memfree` varchar(20) NOT NULL COMMENT 'ROBIN',
  `nbs` mediumtext NOT NULL COMMENT 'ROBIN: neighbor list',
  `gateway` varchar(20) NOT NULL COMMENT 'ROBIN: nearest gateway',
  `gw-qual` varchar(20) NOT NULL COMMENT 'ROBIN: quality of nearest gateway',
  `routes` mediumtext NOT NULL COMMENT 'ROBIN: route to nearest gateway',
  `users` char(3) NOT NULL COMMENT 'ROBIN: current number of users',
  `kbdown` varchar(20) NOT NULL COMMENT 'ROBIN: downloaded kb',
  `kbup` varchar(20) NOT NULL COMMENT 'ROBIN: uploaded kb',
  `hops` varchar(3) NOT NULL COMMENT 'ROBIN: hops to gateway',
  `rank` varchar(3) NOT NULL COMMENT 'ROBIN: ???, not currently used for anything',
  `ssid` varchar(20) NOT NULL COMMENT 'ROBIN: ssid, not currently used for anything',
  `pssid` varchar(20) NOT NULL COMMENT 'ROBIN: pssid, not currently used for anything',
  `gateway_bit` tinyint(1) NOT NULL COMMENT 'ROBIN derivation: is this node a gateway?',
  `top_users` varchar(300) NOT NULL COMMENT 'List of top users for this node',
  `NTR` varchar(10) NOT NULL COMMENT 'Network Transfer Rate',
  `RTT` varchar(10) NOT NULL COMMENT 'Round Trip Time (Ping Latency)',
  `nodes` varchar(10) NOT NULL COMMENT 'Unknown...',
  `rssi` varchar(10) NOT NULL COMMENT 'Received Signal Strength Indication',
  `uptime_history` mediumblob NOT NULL COMMENT 'Stores serialized array of node uptime',
  PRIMARY KEY  (`id`),
  KEY `network_id` (`network_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='node database' AUTO_INCREMENT=12 ;

--
-- Table structure for table `nodes_users`
--

CREATE TABLE IF NOT EXISTS `nodes_users` (
  `user_id` int(30) unsigned NOT NULL COMMENT 'user''s id',
  `node_id` int(30) unsigned NOT NULL COMMENT 'node id',
  KEY `user_id` (`user_id`),
  KEY `node_id` (`node_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Establishes relationship between users and nodes.';

--
-- Dumping data for table `nodes_users`
--

INSERT INTO `nodes_users` (`user_id`, `node_id`) VALUES
(18, 6),
(18, 7),
(18, 8),
(18, 9),
(18, 10),
(18, 11);

-- --------------------------------------------------------

--
-- Table structure for table `plugins`
--

CREATE TABLE IF NOT EXISTS `plugins` (
  `name` varchar(30) NOT NULL COMMENT 'Name of the plugin',
  `function` varchar(30) NOT NULL COMMENT 'Function to call in plugin',
  `hook` varchar(50) NOT NULL COMMENT 'Hook this function applies to',
  `active` tinyint(1) NOT NULL COMMENT 'Is this plugin function active?'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `plugins`
--


-- --------------------------------------------------------

--
-- Table structure for table `roles`
--

CREATE TABLE IF NOT EXISTS `roles` (
  `id` int(30) unsigned NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `uniq_name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `roles`
--

INSERT INTO `roles` (`id`, `name`, `description`) VALUES
(1, 'login', ''),
(2, 'admin', '');

-- --------------------------------------------------------

--
-- Table structure for table `roles_users`
--

CREATE TABLE IF NOT EXISTS `roles_users` (
  `user_id` int(30) unsigned NOT NULL,
  `role_id` int(30) unsigned NOT NULL,
  PRIMARY KEY  (`user_id`,`role_id`),
  KEY `fk_role_id` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `roles_users`
--

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(30) unsigned NOT NULL auto_increment,
  `email` varchar(127) NOT NULL,
  `username` varchar(32) NOT NULL default '',
  `password` char(50) NOT NULL,
  `language` char(10) NOT NULL COMMENT 'User''s language',
  `logins` int(10) unsigned NOT NULL default '0',
  `last_login` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `uniq_username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;

-- --------------------------------------------------------

--
-- Table structure for table `user_tokens`
--

CREATE TABLE IF NOT EXISTS `user_tokens` (
  `id` int(30) unsigned NOT NULL auto_increment,
  `user_id` int(30) unsigned NOT NULL,
  `user_agent` varchar(40) NOT NULL,
  `token` varchar(32) NOT NULL,
  `created` int(10) unsigned NOT NULL,
  `expires` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `uniq_token` (`token`),
  KEY `fk_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Constraints for table `networks_users`
--
ALTER TABLE `networks_users`
  ADD CONSTRAINT `networks_users_ibfk_4` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `networks_users_ibfk_5` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `nodes`
--
ALTER TABLE `nodes`
  ADD CONSTRAINT `nodes_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `nodes_users`
--
ALTER TABLE `nodes_users`
  ADD CONSTRAINT `nodes_users_ibfk_4` FOREIGN KEY (`node_id`) REFERENCES `nodes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `nodes_users_ibfk_5` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `roles_users`
--
ALTER TABLE `roles_users`
  ADD CONSTRAINT `roles_users_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `roles_users_ibfk_2` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `user_tokens`
--
ALTER TABLE `user_tokens`
  ADD CONSTRAINT `user_tokens_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;
